{
  outputs,
  systemConfig,
  common,
  ...
}:

{
  home = {
    username = systemConfig.username;
    homeDirectory = common.dir.home;
    stateVersion = systemConfig.version;
  };

  # Adds pkgs.unstable in order to fetch packages from unstable repositories
  nixpkgs.overlays = [ outputs.overlays.unstable-packages ];

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
